## nautilus 3.26.4

=== meson_options.txt ===
option ('enable-profiling',
        type: 'boolean',
        value: false)
option ('enable-nst-extension',
        type: 'boolean',
        value: true)
option ('enable-exif',
        type: 'boolean',
        value: false,
        description: 'enable EXIF support')
option ('enable-xmp',
        type: 'boolean',
        value: false,
        description: 'enable XMP support')
option ('enable-selinux',
        type: 'boolean',
        value: true)
option ('enable-desktop',
        type: 'boolean',
        value: true)
option ('enable-packagekit',
        type: 'boolean',
        value: true)
option ('enable-gtk-doc',
        type: 'boolean',
        value: false)

## nautilus 3.0.2

=== debian/changelog ===
nautilus (3.0.2-4) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Oct 2011 18:00:54 +0200

nautilus (3.0.2-3) experimental; urgency=low

  * debian/control.in:
    - Add Breaks against nautilus-sendto-empathy (<< 3.0) and
      gnome-bluetooth (<< 3.0) as the libnautilus-sendto extension was moved
      into nautilus 3 but the plugin path was not changed with the switch to
      GTK 3. Loading both GTK 2 and GTK 3 in the same process is not allowed.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Bump Build-Depends on cdbs to (>= 0.4.90) to ensure dh_girepository is
      called.
    - Remove old Conflicts and Replaces.
  * debian/rules:
    - Remove clean-la.mk since we don't install any .la files.
    - Drop call to dh_girepository
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.
  * debian/watch:
    - Update to version 3.
    - Track .xz tarballs.
  * debian/nautilus.install:
    - Install dbus service file for nautilus.
  * debian/patches/13_tracker.patch:
    - Add support for tracker 0.12. Closes: #643946
    - Enable full text search.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2011 17:49:58 +0200

nautilus (3.0.2-2) experimental; urgency=low

  * Rename libnautilus-extension1 to libnautilus-extension1a, and add 
    appropriate Replaces/Conflicts. Closes: #627361.

 -- Josselin Mouette <joss@debian.org>  Tue, 31 May 2011 23:39:28 +0200

nautilus (3.0.2-1) experimental; urgency=low

  * Rebuild against a cdbs+debhelper with dh_installgsettings.
    Closes: #627477.
  * libnautilus-extension1 breaks nautilus (< 3.0) and that’s the 
    beginning of a very long list (nautilus transition).
    + gnome-disk-utility < 3.0
    + brasero < 2.91
    + file-roller < 3.0
    + nautilus-sendto < 3
  * Replace nautilus-sendto since it is now included in nautilus.
  * New upstream translation and bugfix release.
  * 00_do_not_require_unpackage_libexif.patch: dropped, we have the 
    latest libexif now.
    + Bump build-dependencies accordingly.
  * Bump libnotify requirement.
  * Reintroduce some nautilus 2.x patches.
    + 03_deprecated.patch: still necessary, refreshed.
    + 12_list-view_expand.patch: still necessary, file was renamed, 
      refreshed. Update to GTK+ 3.
  * nautilus.install: install the autostart file. This should bring back 
    the desktop icons functionality completely.

 -- Josselin Mouette <joss@debian.org>  Tue, 31 May 2011 19:30:35 +0200

nautilus (3.0.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    + bump relevant build dependencies.
  * debian/patches/00_do_not_require_unpackage_libexif.patch: new,
    dependencies were bumped upstream, to require the latest stable versions;
    but libexif 0.6.20 not yet in Debian, and not necessary.

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Apr 2011 15:38:08 +0200

nautilus (2.91.94-1) experimental; urgency=low

  * New upstream release.

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

 -- Frederic Peters <fpeters@debian.org>  Thu, 31 Mar 2011 09:52:17 +0530

nautilus (2.91.93-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: bumped build-dependency on gtk+
  * debian/copyright: updated the list of copyright holders from the sources.

 -- Frederic Peters <fpeters@debian.org>  Sun, 27 Mar 2011 18:51:51 +0530

nautilus (2.91.90.1-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Feb 2011 23:43:00 +0100

nautilus (2.91.9-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update the build dependencies.
      - Update the gtk+ 3 and libgail 3 package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:27:11 +0000

nautilus (2.91.7-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/patches/10_load_session.patch:
      - Removed, that code is gone.
    + debian/patches/30-fix-compilation.patch:
      - Removed, included upstream.
  * debian/po-up,
    debian/rules:
    + Removed patch-translations support, we have no patches with
      strings anymore (actually we have no patches at all!).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:47:23 +0000

nautilus (2.91.4-1) experimental; urgency=low

  * New upstream release
  * debian/patches/20-rename-extensions-directory.patch
    + Removed, fixed upstream
  * debian/control.in: Add Conflicts/Replaces to gir1.0-nautilus-3.0

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Dec 2010 19:18:03 +0000

nautilus (2.91.3-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-nautilus-3.0 to gir1.2-nautilus-3.0.
    - Bump the gobject-introspection build dependency.
  * Switch to source format 3.0 (quilt).
  * debian/control.in,
    debian/rules:
    - Call dh_girepository and let the gir package depend
      on gir:Depends, to get gir dependencies. Build depend
      on the necessary gir1.2 packages for that.
    - Exclude the extensions folder from the dh_makeshlibs call.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 Dec 2010 20:13:10 +0100

nautilus (2.91.3-1) experimental; urgency=low

  * New upstream release
  * debian/control: Add Gsettings schemas to nautilus-data
  * debian/control: Add gir1.0-nautilus-3.0
  * debian/control: Add the nautilus gir to libnautilus-extension-dev.install
  * debian/patches/13_shortcuts.patch
    - Removed, Fixed upstream
  * debian/patches/20_open-with_install.patch
    - Removed, open with is now handled by GtkAppChooser
  * debian/patches/03_deprecated.patch
    - Removed, no longer relevant
  * debian/patches/12_list-view_expand.patch
    - Removed, no longer applies
  * debian/patches/10_location_titlebar.patch


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: nautilus
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               cdbs (>= 0.4.90),
               gnome-pkg-tools (>= 0.13),
               libglib2.0-dev (>= 2.28.0),
               libatk1.0-dev (>= 1.32.0),
               libgtk-3-dev (>= 3.0.8),
               libgail-3-dev,
               libgnome-desktop-3-dev (>= 3.0.0),
               libxml2-dev (>= 2.7.8),
               libexif-dev (>= 0.6.20),
               libexempi-dev (>= 1.99.5),
               libdbus-glib-1-dev,
               libnotify-dev (>= 0.7.0),
               intltool (>= 0.40.1),
               gtk-doc-tools (>= 1.4),
               libxt-dev,
               libx11-dev,
               libselinux1-dev [linux-any],
               libxrender-dev,
               libxext-dev,
               x11proto-core-dev,
               shared-mime-info (>= 0.50),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-glib-2.0,
               gir1.2-atk-1.0,
               gir1.2-gtk-3.0,
               libglib2.0-doc,
               libgtk-3-doc
Homepage: http://www.gnome.org/projects/nautilus/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/nautilus/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/nautilus/
Standards-Version: 3.9.2

Package: nautilus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         nautilus-data (>= ${gnome:Version}),
         nautilus-data (<< ${gnome:NextVersion}),
         shared-mime-info (>= 0.50),
         desktop-file-utils (>= 0.7),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         gsettings-desktop-schemas
Recommends: desktop-base (>= 0.2),
            eject,
            brasero (>= 2.26),
            librsvg2-common,
            synaptic,
            app-install-data,
            gvfs-backends,
            consolekit
Suggests: eog,
          evince | pdf-viewer,
          totem | mp3-decoder,
          xdg-user-dirs,
          tracker
Breaks: gnome-volume-manager (<< 2.24),
        rhythmbox (<< 0.12),
        gnome-session (<< 2.28),
        nautilus-sendto-empathy (<< 3.0),
        gnome-bluetooth (<< 3.0)
Replaces: nautilus-sendto
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the GNOME
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nautilus-dbg
Section: debug
Architecture: any
Priority: extra
Depends: nautilus (= ${binary:Version}),
         ${misc:Depends}
Replaces: libnautilus-extension1-dbg
Description: file manager and graphical shell for GNOME - debugging version
 Nautilus is the official file manager for the GNOME desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the GNOME
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

Package: libnautilus-extension1a
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libnautilus-extension1
Replaces: libnautilus-extension1
Breaks: nautilus (<< 3.0)
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: libnautilus-extension-dev
Architecture: any
Section: libdevel
Depends: libnautilus-extension1a (= ${binary:Version}),
         gir1.2-nautilus-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.27.5),
         libgtk-3-dev (>= 3.0.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: gir1.2-nautilus-3.0
Architecture: any
Section: libdevel
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.0-nautilus-3.0
Replaces: gir1.0-nautilus-3.0
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: nautilus-data
Architecture: all
Depends: ${misc:Depends}
Recommends: nautilus
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libexecdir=/usr/lib/nautilus \
                             --disable-update-mimedb \
                             --disable-packagekit \
                             --enable-introspection
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_DH_MAKESHLIBS_ARGS_libnautilus-extension1a += -V 'libnautilus-extension1a (>= 2.91)'
DEB_DH_MAKESHLIBS_ARGS_nautilus += -Xusr/lib/nautilus/extensions-3.0/

binary-post-install/nautilus-data::
	dh_installmime -p$(cdbs_curpkg)

common-binary-post-install-arch:: list-missing

## nautilus 3.2.0

=== debian/changelog ===
nautilus (1:3.2.0-0ubuntu5) oneiric; urgency=low

  [ Jeremy Bicha ]
  * debian/patches/05_desktop_menu_export.patch:
    - Disable a few more items that don't work right in desktop mode

  [ Sebastien Bacher ]
  * git_handle_missing_icon.patch:
    - don't segfault on missing icon (lp: #860659)
  * git_gsettings_signals.patch:
    - don't segfault on preferences changes (lp: #807234)
  * git_no_typeahead_timeout_segfault.patch:
    - better handle the flush timeout, should avoid segfaults (lp: #804133) 
  * git_dont_preview_empty_selection.patch:
    - check that the selection is non empty to avoid a segfault (lp: #812015)  
  * git_correct_signal_handling.patch,
    git_no_signal_order_assert.patch,
    git_slot_closing.patch:
    - clean some signal handling issues leading to segfaults (lp: #795708)
  * git_close_pane_cleaning.patch:
    - needed changes for the previous patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 30 Sep 2011 12:23:46 +0200

nautilus (1:3.2.0-0ubuntu4) oneiric; urgency=low

  * debian/patches/05_desktop_menu_export.patch:
    - use a translated "Change Desktop _Background"
    - launch gnome-control-center on the item, the previous exec was
      deprecated

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 11:40:04 +0200

nautilus (1:3.2.0-0ubuntu3) oneiric; urgency=low

  [ Marco Trevisan (Treviño) ]
  * debian/patches/12_unity_launcher_support.patch:
    - Fixed a typo that lead to bad computation of progress for
      files with size >= 2GB due to a type overflow (LP: #845188)

  [ Ted Gould ]
  * debian/patches/05_desktop_menu_export.patch: Update for Nautilus 3.x
    (LP: #805252)

  [ Didier Roche ]
  * clean the above patch from duplication and add DEP3 info

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 09:40:29 +0200

nautilus (1:3.2.0-0ubuntu2) oneiric; urgency=low

  * debian/control.in: Bump libglib2.0-dev build dependency to ensure that we
    build with the stable gdbus-codegen.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2011 08:24:06 +0200

nautilus (1:3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix a couple of drawing regressions introduced in 3.1.92
    - Lots of translation updates
  * debian/patches/90_fix-compact-view.patch:
    - in the new upstream version

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 17:31:00 +0200

nautilus (1:3.1.92-0ubuntu3) oneiric; urgency=low

  * debian/patches/16_run_in_gnome_unity.patch:
    - handle the background only in GNOME and Unity session (lp: #857159)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Sep 2011 18:41:53 +0200

nautilus (1:3.1.92-0ubuntu2) oneiric; urgency=low

  * debian/patches/90_fix-compact-view.patch:
    Git patch to fix overflowing text preview in compact view

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2011 17:47:09 -0400

nautilus (1:3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream version
    - Hopefully fix once and for all NautilusWindow keybindings
    -* Don't hide the floating bar on hover if it's interactive
    - Fix canvas accessibility implementation for GTK 3.2
    - Don't warn when opening multiple files with one application
    - Correctly remember remote passwords when asked so
    - Add a new topic-based help menu
    - Fix default list view sorting order
    - Don't warn when a mount operation fails with ALREADY_MOUNTED
    - Select the item on right click in the Tree sidebar
    - Scroll to the selected file when opening an URI from the cmdline
    - Read the emblem icon names from the metadata
    - Streamline icon container rendering code to use gtk_render_*
    - Correctly remember "Keep Aligned" and other desktop metadata
    - Invalidate the text size when changing the DPI xsetting
    - Strip the hardcoded theme bits
    - Add Unity desktop file compatibility
    - Use XDG_CURRENT_DESKTOP when possible
  * debian/patches/07_use_application_indicator.patch: Unfuzzed
  * debian/patches/12_unity_launcher_support.patch: Unfuzzed
  * debian/patches/15_use-ubuntu-help.patch:
    - use the ubuntu documentation

  [ Sebastien Bacher ]
  * debian/patches/01_lpi.patch: new version update
  * debian/patches/10_show_in_unity.patch: 
    - dropped, the patch is in the new version
  
 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2011 16:03:47 -0400

nautilus (1:3.1.90-0ubuntu3) oneiric; urgency=low

  * debian/source_nautilus.py:
    - don't collect gconf settings since nautilus uses gsettings

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Sep 2011 15:35:22 +0200

nautilus (1:3.1.90-0ubuntu2) oneiric; urgency=low

  * debian/patches/12_unity_launcher_support.patch:
    - avoid progress division per zero, causing unity bad rendering (LP: #841609)
    - reset the progress value at the end of the operations
    - force to update the progress at the beginning of an operation
    - show the count when there are more than one in-progress operations
  * debian/rules:
    - Pass --disable-appindicator to configure flags.
  * debian/control:
    - add libunity-dev dependency

 -- Marco Trevisan (Treviño) <3v1n0@ubuntu.com>  Wed, 07 Sep 2011 03:26:09 +0200

nautilus (1:3.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * tweak debian/watch to take unstable version

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Sep 2011 09:51:21 +0200

nautilus (1:3.1.4-0ubuntu5) oneiric; urgency=low

  * debian/patches/14_bring_del_instead_ctrl_del.patch:
    - use Del instead of Ctrl + Del for bringing files to the trash
      (LP: #823221)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 01 Sep 2011 17:37:06 +0200

nautilus (1:3.1.4-0ubuntu4) oneiric; urgency=low

  * debian/control.in:
    - updated the libappindicator requirement since the previous upload patch
      needs the current version
  * debian/nautilus-home.desktop.in,
    debian/patches/13_translate_unity_launcher.patch:
    - list the unity launcher desktop to translate
  * debian/rules:


## nautilus 3.2.1

=== debian/changelog ===
nautilus (1:3.2.1-0ubuntu4.2) oneiric-proposed; urgency=low

  * debian/patches/05_desktop_menu_export.patch:
   - Only create the menubar on the desktop on 'Ubuntu*' sessions (LP: #826771)
   - Refreshed and removed 2 new blank lines in the patch
  * debian/patches/04_suppress_umount_in_ltsp.patch,
    debian/patches/16_run_in_gnome_unity.patch,
    debian/patches/17_dont_allow_new_tab_on_desktop.patch and
    debian/patches/git_desktop_middle_click.patch:
   - Refreshed

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 18 Feb 2012 01:23:07 +0100

nautilus (1:3.2.1-0ubuntu4.1) oneiric-proposed; urgency=low

  * debian/patches/05_desktop_menu_export.patch:
    - drop the hack to avoid the nautilus menubar displayed on the desktop on
      non unity session, it's buggy, spam the session log (lp: #912379)
  * debian/patches/git_next_row.patch:
    - let navigate to the next row by pressing right at the end of the line 
      (lp: #855862)
  * debian/patches/git_desktop_middle_click.patch:
    - don't run into assert when middle clicking on a desktop directory
      (lp: #817861)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Feb 2012 11:46:05 +0100

nautilus (1:3.2.1-0ubuntu3.2) oneiric-proposed; urgency=low

  * debian/patches/18_fix_crash_in_get_current_uri.patch:
    - Upstream patch to fix crash in nautilus_window_slot_get_current_uri()
      (LP: #795708)

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 02 Dec 2011 20:37:11 +0400

nautilus (1:3.2.1-0ubuntu3.1) oneiric-proposed; urgency=low

  [ Chow Loong Jin ]
  * Add upstream patch to workaround focus issues on typeahead:
    - debian/patches/git-0001-Workaround-focus-issues-on-typeahead.patch
    (LP: #879456)

  [ Dmitry Shachnev ]
   * debian/patches/05_desktop_menu_export.patch (updated):
    - Stop hiding actions that do not exist anymore (LP: #880938)

  [ Didier Roche ]
  * Remove duplicate files icon, still workarounding missing desktop file:
    (LP: #886428)
    - removed debian/nautilus.links
    - ship debian/nautilus-folder-handler.desktop, copy of nautilus.desktop
      with NoDisplay=true
    - debian/nautilus.install: install the new file
  * debian/patches/11_copy_skipping_pager.patch:
    - only skip pager for the unity session (LP: #868032)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 10 Nov 2011 09:37:51 +0100

nautilus (1:3.2.1-0ubuntu3) oneiric-proposed; urgency=low

  [ Didier Roche ]
  * debian/nautilus.links: provide a symlink to workaround missing desktop file
    from prefered mimeapps.list (LP: #876788)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 31 Oct 2011 12:28:50 -0400

nautilus (1:3.2.1-0ubuntu2) oneiric-proposed; urgency=low

  [ Dmitry Shachnev ]
  * debian/patches/05_desktop_menu_export.patch (updated):
    - Destroy menubar on non-ubuntu sessions (LP: #826771)
    - Remove duplicate lines (LP: #874847)
  * debian/patches/17_dont_allow_new_tab_on_desktop.patch:
    - Don't allow "New tab" shortcut on desktop (LP: #814799)

  [ Martin Pitt ]
  * 05_desktop_menu_export.patch: Fix potential crash if $DESKTOP_SESSION is
    not set.

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 25 Oct 2011 12:46:53 +0200

nautilus (1:3.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release:
    - Consolidate typeahead find entry for icon view (LP: #857710)
    - Fix a crasher when middle-clicking empty space in the places sidebar
    - Fix a crasher when trying to delete files from the tree sidebar
      (LP: #830185, #845408)
    - Fix a crasher when ejecting a removable device under some circumstances
    - Fix a crasher when trying to activate the previewer in a list view
      with no selection
    - Fix a crasher when symbolic icon theme is not available
    - Plug some memory leaks
    - Fix the build when Tracker FTS is enabled
  * Remove some cherry-picked patches:
    - git_handle_missing_icon.patch, git_gsettings_signals.patch,
      git_no_typeahead_timeout_segfault.patch,
      git_dont_preview_empty_selection.patch, git_correct_signal_handling.patch
      git_no_signal_order_assert.patch, git_slot_closing.patch, 
      git_close_pane_cleaning.patch

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Oct 2011 09:52:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 5),
                dh-autoreconf,
-               cdbs (>= 0.4.90),
+               cdbs (>= 0.4.41),
                gnome-pkg-tools (>= 0.13),
-               libglib2.0-dev (>= 2.28.0),
+               libglib2.0-dev (>= 2.30.0),
                libatk1.0-dev (>= 1.32.0),
-               libgtk-3-dev (>= 3.0.8),
+               libgtk-3-dev (>= 3.1.6),
                libgail-3-dev,
                libgnome-desktop-3-dev (>= 3.0.0),
                libxml2-dev (>= 2.7.8),
-               libexif-dev (>= 0.6.20),
+               libexif-dev (>= 0.6.19),
                libexempi-dev (>= 1.99.5),
-               libdbus-glib-1-dev,
-               libnotify-dev (>= 0.7.0),
+               libnotify-dev (>= 0.7),
                intltool (>= 0.40.1),
                gtk-doc-tools (>= 1.4),
                libxt-dev,
@@ -33,14 +33,13 @@
                shared-mime-info (>= 0.50),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-glib-2.0,
-               gir1.2-atk-1.0,
-               gir1.2-gtk-3.0,
                libglib2.0-doc,
-               libgtk-3-doc
+               libgtk-3-doc,
+               liblaunchpad-integration-3.0-dev,
+               libappindicator3-dev (>> 0.3.91),
+               libunity-dev (>= 4.0.0)
 Homepage: http://www.gnome.org/projects/nautilus/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/nautilus/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/nautilus/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/nautilus/ubuntu
 Standards-Version: 3.9.2
 
 Package: nautilus
@@ -54,11 +53,8 @@
          gvfs (>= 1.3.2),
          libglib2.0-data,
          gsettings-desktop-schemas
-Recommends: desktop-base (>= 0.2),
-            eject,
-            brasero (>= 2.26),
+Recommends: eject,
             librsvg2-common,
-            synaptic,
             app-install-data,
             gvfs-backends,
             consolekit
@@ -66,13 +62,13 @@
           evince | pdf-viewer,
           totem | mp3-decoder,
           xdg-user-dirs,
-          tracker
+          brasero (>= 2.26)
+Conflicts: libnautilus2-2,
+           libnautilus2-dev
 Breaks: gnome-volume-manager (<< 2.24),
         rhythmbox (<< 0.12),
-        gnome-session (<< 2.28),
-        nautilus-sendto-empathy (<< 3.0),
-        gnome-bluetooth (<< 3.0)
-Replaces: nautilus-sendto
+        gnome-session (<< 2.28)
+Replaces: libnautilus2-2
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  to browse directories, preview files and launch applications associated
@@ -100,15 +96,29 @@
  .
  This development package contains unstripped binaries compiled with
  debugging symbols needed by gdb.
-
-Package: libnautilus-extension1a
+ 
+Package: libnautilus-extension1
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: libnautilus-extension1
-Replaces: libnautilus-extension1
-Breaks: nautilus (<< 3.0)
+Conflicts: libnautilus2-2
+Breaks: nautilus (<< 2.22),
+        gnome-mount (<< 0.8),
+        nautilus-cd-burner (<< 2.22),
+        file-roller (<< 2.24),
+        python-nautilus (<< 0.5),
+        nautilus-sendto (<< 0.14.0-2),
+        nautilus-open-terminal (<< 0.9),
+        nautilus-image-converter (<< 0.3),
+        nautilus-filename-repairer (<< 0.0.5-2),
+        eiciel (<< 0.9.6.1-3),
+        diff-ext (<= 0.2.3-3),
+        nautilus-gksu (<< 2.0.2-2+b1),
+        nautilus-actions (<< 1.4.1-1+b1),
+        nautilus-share (<< 0.7.2-4+b1),
+        seahorse-plugins (<< 2.24.1-3+b1)
+Replaces: libnautilus2-2
 Description: libraries for nautilus components - runtime version
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
@@ -118,12 +128,14 @@
 Package: libnautilus-extension-dev
 Architecture: any
 Section: libdevel
-Depends: libnautilus-extension1a (= ${binary:Version}),
+Depends: libnautilus-extension1 (= ${binary:Version}),
          gir1.2-nautilus-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.27.5),
          libgtk-3-dev (>= 3.0.0),
          ${shlibs:Depends},
          ${misc:Depends}
+Conflicts: libnautilus2-dev
+Replaces: libnautilus2-dev
 Description: libraries for nautilus components - development version
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
@@ -149,7 +161,8 @@
 Package: nautilus-data
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: nautilus
+Conflicts: nautilus (<< 2.14.1-3)
+Suggests: nautilus
 Description: data files for nautilus
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libexecdir=/usr/lib/nautilus \
                             --disable-update-mimedb \
                             --disable-packagekit \
                             --disable-appindicator \
                             --enable-introspection
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_DH_MAKESHLIBS_ARGS_libnautilus-extension1 += -V 'libnautilus-extension1 (>= 1:2.91)'
DEB_DH_MAKESHLIBS_ARGS_nautilus += -Xusr/lib/nautilus/extensions-3.0/

binary-post-install/nautilus-data::
	dh_installmime -p$(cdbs_curpkg)
	echo "" > debian/nautilus-data/usr/share/nautilus/nautilus.css

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg)

common-binary-post-install-arch:: list-missing

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/nautilus/([\d\.]+)/ \
        nautilus-(.*)\.tar\.bz2

## nautilus 3.4.1

=== debian/changelog ===
nautilus (1:3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream version:
    - Don't display comment field for desktop files
    - Fix off-by-one error in file operation counts
    - Fix mouse hardware back/forward buttons not working correctly
      (lp: #486358)
    - Fix "Undo Trash" for files with non-ASCII characters
    - Fix name corruption for untitled files under some circumstances
  * debian/patches/revert_desktop_comment.patch,
    debian/patches/git_utf_undo.patch,
    debian/patches/git_no_freespace_cpu_look.patch,
    debian/patches/git_copy_off_by_one.patch:
    - dropped, those fixes are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Apr 2012 18:45:41 +0200

nautilus (1:3.4.0-0ubuntu3) precise; urgency=low

  * debian/patches/dont_wrap_labels_after_dots.patch:
    - don't wrap labels after a dot if they are followed by a number,
      the upstream code has a hack for 3 digit version numbers which 
      doesn't really make sense (lp: #942539)
  * debian/patches/git_utf_undo.patch:
    - git patch, fix undo failing to restore files with non ascii chars
      (lp: #973620)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 15 Apr 2012 11:46:05 +0200

nautilus (1:3.4.0-0ubuntu2) precise; urgency=low

  * debian/patches/git_copy_off_by_one.patch:
    - "Off-by-one error in count of copied files" (lp: #930944)
  * debian/patches/git_no_freespace_cpu_look.patch:
    - correct free space calculation and avoid cpu loops (lp: #965493)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Apr 2012 17:26:23 +0200

nautilus (1:3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream version
    - Fix a regression where "Open With" was hidden for folders (lp: #964186)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Mar 2012 19:53:09 +0200

nautilus (1:3.3.92-0ubuntu2) precise; urgency=low

  * debian/patches/revert_desktop_comment.patch:
    - revert git commit to change the .desktop handling code which leaded 
      to have the filename displayed with the comment field next to it 
      (lp: #961141)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Mar 2012 19:34:17 +0100

nautilus (1:3.3.92-0ubuntu1) precise; urgency=low

  * New upstream version:
    - Fix scrolling in compact view to work with latest GTK
    - Fix Ctrl+Scroll zooming to work with latest GTK
    - Don't hide Open With applications for subtypes 
      of application/x-desktop (lp: #38434)
    - Add support for the "network" GVolume class identifier
    - Fix a crash at exit with certain extensions that keep refs of 
      the NautilusFileInfos (lp: #449796)
    - Fix initial focus row when moving the focus into the Places 
      sidebar (lp: #940951)
    - Fix Shift+Click selection when going back/forward in browsing 
      history (lp: #953245)
    - Fix packing of desktop file box in properties view
    - Fix pathbar button sizing when a file watched by the pathbar 
      changes name (lp: #952648)
    - Fix properties window not being able to shrink size (lp: #948524)
    - Remove unused --enable-profiler configure option
    - Let drag the dialog by the toolbar (lp: #953004)
  * debian/patches/git_handle_ctrl_scroll.patch:
    - dropped, the fix is in the new version
  * debian/patches/12_unity_launcher_support.patch:
    - use correct capitalization, list the source in potfiles so it's
      translatable (lp: #958517)
  * drop appindicator patch, the option was turned off and it creates work

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Mar 2012 11:19:52 +0100

nautilus (1:3.3.91-0ubuntu4) precise; urgency=low

  * debian/patches/git_handle_ctrl_scroll.patch:
    - don't run into an assert on ctrl-scroll (lp: #949591)
  * debian/patches/zg_activity_logging.patch:
    - updated version from Siegfried Gevatter, should fix lp: #947489

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 19:29:58 +0100

nautilus (1:3.3.91-0ubuntu3) precise; urgency=low

  * Update nautilus-home.desktop for freedesktop action spec too
    Thanks Doug McMahon for reporting this!

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Mar 2012 20:45:33 -0500

nautilus (1:3.3.91-0ubuntu2) precise; urgency=low

  * debian/patches/20_static_unity_quicklist.patch:
    - Use title case and update for new freedesktop desktop action spec

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Mar 2012 16:36:07 -0500

nautilus (1:3.3.91-0ubuntu1) precise; urgency=low

  * New upstream version:
    - Ensure pathbar scrolling works with latest GTK
    - Fix a crash when unmounting volumes with non-empty trash
    - Fix a race condition leading to a crash when closing window slots
      under certain circumstances
  * debian/control.in:
    - updated gtk requirements
  * debian/patches/21_fix_crash_during_unmount.patch:
    - dropping, the fix is in the new version
  * debian/patches/22_fix_crash_from_extra_slot_ref.patch:
    - dropping, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Mar 2012 21:34:52 +0100

nautilus (1:3.3.90-0ubuntu6) precise; urgency=low

  * Fix LP: #944624 - Don't stick a pointer to an int, as it causes stack
    corruption on 64-bit architectures
    - update debian/patches/zg_activity_logging.patch
  * Turn on the zeitgeist logging patch again
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 03 Mar 2012 23:53:38 +0000

nautilus (1:3.3.90-0ubuntu5) precise; urgency=low

  * Disable the zeitgeist logging patch until we figure out why it causes
    nautilus to crash (LP: #944624)
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 03 Mar 2012 20:09:45 +0000

nautilus (1:3.3.90-0ubuntu4) precise; urgency=low

  * debian/control.in:
    - Build-Depends on libzeitgeist-dev
  * debian/patches/02_additional_marge_for_unity.patch:
    - dropped, it's not required with the current launcher hidding 
      behaviour (it was to deal with intellihide) and create margin issues


=== debian/control ===
--- 
+++ 
@@ -9,24 +9,23 @@
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 8),
                dh-autoreconf,
-               cdbs (>= 0.4.41),
+               cdbs (>= 0.4.90),
                gnome-pkg-tools (>= 0.13),
-               libglib2.0-dev (>= 2.30.0),
+               libglib2.0-dev (>= 2.31.9),
                libatk1.0-dev (>= 1.32.0),
-               libgtk-3-dev (>= 3.1.6),
+               libgtk-3-dev (>= 3.3.18),
                libgail-3-dev,
                libgnome-desktop-3-dev (>= 3.0.0),
                libxml2-dev (>= 2.7.8),
-               libexif-dev (>= 0.6.19),
-               libexempi-dev (>= 1.99.5),
-               libnotify-dev (>= 0.7),
+               libexif-dev (>= 0.6.20),
+               libexempi-dev (>= 2.1.0),
+               libnotify-dev (>= 0.7.0),
                intltool (>= 0.40.1),
                gtk-doc-tools (>= 1.4),
                libxt-dev,
                libx11-dev,
-               libselinux1-dev [linux-any],
                libxrender-dev,
                libxext-dev,
                x11proto-core-dev,
@@ -36,8 +35,8 @@
                libglib2.0-doc,
                libgtk-3-doc,
                liblaunchpad-integration-3.0-dev,
-               libappindicator3-dev (>> 0.3.91),
-               libunity-dev (>= 4.0.0)
+               libunity-dev (>= 5.0.0),
+               libzeitgeist-dev
 Homepage: http://www.gnome.org/projects/nautilus/
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/nautilus/ubuntu
 Standards-Version: 3.9.2
@@ -54,21 +53,20 @@
          libglib2.0-data,
          gsettings-desktop-schemas
 Recommends: eject,
+            brasero (>= 2.26),
             librsvg2-common,
-            app-install-data,
-            gvfs-backends,
-            consolekit
+            gvfs-backends            
 Suggests: eog,
           evince | pdf-viewer,
           totem | mp3-decoder,
           xdg-user-dirs,
-          brasero (>= 2.26)
-Conflicts: libnautilus2-2,
-           libnautilus2-dev
+          gnome-sushi
 Breaks: gnome-volume-manager (<< 2.24),
         rhythmbox (<< 0.12),
-        gnome-session (<< 2.28)
-Replaces: libnautilus2-2
+        gnome-session (<< 2.28),
+        nautilus-sendto-empathy (<< 3.0),
+        gnome-bluetooth (<< 3.0)
+Replaces: nautilus-sendto, nautilus-data (<< 1:3.2.1-2ubuntu1)
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  to browse directories, preview files and launch applications associated
@@ -96,29 +94,14 @@
  .
  This development package contains unstripped binaries compiled with
  debugging symbols needed by gdb.
- 
-Package: libnautilus-extension1
+
+Package: libnautilus-extension1a
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: libnautilus2-2
-Breaks: nautilus (<< 2.22),
-        gnome-mount (<< 0.8),
-        nautilus-cd-burner (<< 2.22),
-        file-roller (<< 2.24),
-        python-nautilus (<< 0.5),
-        nautilus-sendto (<< 0.14.0-2),
-        nautilus-open-terminal (<< 0.9),
-        nautilus-image-converter (<< 0.3),
-        nautilus-filename-repairer (<< 0.0.5-2),
-        eiciel (<< 0.9.6.1-3),
-        diff-ext (<= 0.2.3-3),
-        nautilus-gksu (<< 2.0.2-2+b1),
-        nautilus-actions (<< 1.4.1-1+b1),
-        nautilus-share (<< 0.7.2-4+b1),
-        seahorse-plugins (<< 2.24.1-3+b1)
-Replaces: libnautilus2-2
+Replaces: libnautilus-extension1
+Breaks: nautilus (<< 1:3.0)
 Description: libraries for nautilus components - runtime version
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
@@ -128,14 +111,12 @@
 Package: libnautilus-extension-dev
 Architecture: any
 Section: libdevel
-Depends: libnautilus-extension1 (= ${binary:Version}),
+Depends: libnautilus-extension1a (= ${binary:Version}),
          gir1.2-nautilus-3.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.27.5),
-         libgtk-3-dev (>= 3.0.0),
+         libglib2.0-dev (>= 2.31.9),
+         libgtk-3-dev (>= 3.3.18),
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libnautilus2-dev
-Replaces: libnautilus2-dev
 Description: libraries for nautilus components - development version
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
@@ -161,7 +142,6 @@
 Package: nautilus-data
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: nautilus (<< 2.14.1-3)
 Suggests: nautilus
 Description: data files for nautilus
  Nautilus is the official file manager and graphical shell for the

## nautilus 3.4.2

=== debian/changelog ===
nautilus (3.4.2-1+build1) unstable; urgency=low

  * No source changes; rebuild with xz compression.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Aug 2012 21:46:06 +0200

nautilus (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/12_list-view_expand.patch.

 -- Michael Biebl <biebl@debian.org>  Wed, 16 May 2012 15:54:52 +0200

nautilus (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Drop explicit Build-Depends on gir packages and let the corresponding -dev
    package pull them for us.
  * Bump minimum required version of libglib2.0-dev to 2.31.9 and libgtk-3-dev
    to 3.3.17.
  * Remove debian/patches/14_tracker-0.14.patch, fixed upstream.
  * Remove debian/patches/03_deprecated.patch, no longer needed.
  * debian/nautilus-data.install: Remove usr/share/pixmaps, not installed by
    upstream.
  * debian/rules: Remove call to dh_installmime, already done by cdbs.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 14:41:06 +0200

nautilus (3.2.1-3) unstable; urgency=low

  * Change section of gir1.2-nautilus-3.0 to introspection.
  * Build against tracker 0.14.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Mar 2012 19:09:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                dh-autoreconf,
                cdbs (>= 0.4.90),
                gnome-pkg-tools (>= 0.13),
                libglib2.0-dev (>= 2.31.9),
                libatk1.0-dev (>= 1.32.0),
-               libgtk-3-dev (>= 3.3.18),
+               libgtk-3-dev (>= 3.3.17),
                libgail-3-dev,
                libgnome-desktop-3-dev (>= 3.0.0),
                libxml2-dev (>= 2.7.8),
@@ -26,20 +25,20 @@
                gtk-doc-tools (>= 1.4),
                libxt-dev,
                libx11-dev,
+               libselinux1-dev [linux-any],
                libxrender-dev,
                libxext-dev,
                x11proto-core-dev,
                shared-mime-info (>= 0.50),
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12),
+               libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-doc,
                libgtk-3-doc,
-               liblaunchpad-integration-3.0-dev,
-               libunity-dev (>= 5.0.0),
-               libzeitgeist-dev
+               libtracker-sparql-0.14-dev
 Homepage: http://www.gnome.org/projects/nautilus/
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/nautilus/ubuntu
-Standards-Version: 3.9.2
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/nautilus/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/nautilus/
+Standards-Version: 3.9.3
 
 Package: nautilus
 Architecture: any
@@ -55,18 +54,19 @@
 Recommends: eject,
             brasero (>= 2.26),
             librsvg2-common,
-            gvfs-backends            
+            gvfs-backends,
+            gnome-sushi
 Suggests: eog,
           evince | pdf-viewer,
           totem | mp3-decoder,
           xdg-user-dirs,
-          gnome-sushi
+          tracker
 Breaks: gnome-volume-manager (<< 2.24),
         rhythmbox (<< 0.12),
         gnome-session (<< 2.28),
         nautilus-sendto-empathy (<< 3.0),
         gnome-bluetooth (<< 3.0)
-Replaces: nautilus-sendto, nautilus-data (<< 1:3.2.1-2ubuntu1)
+Replaces: nautilus-sendto
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  to browse directories, preview files and launch applications associated
@@ -100,8 +100,9 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: libnautilus-extension1
 Replaces: libnautilus-extension1
-Breaks: nautilus (<< 1:3.0)
+Breaks: nautilus (<< 3.0)
 Description: libraries for nautilus components - runtime version
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
@@ -114,7 +115,7 @@
 Depends: libnautilus-extension1a (= ${binary:Version}),
          gir1.2-nautilus-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.31.9),
-         libgtk-3-dev (>= 3.3.18),
+         libgtk-3-dev (>= 3.3.17),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: libraries for nautilus components - development version
@@ -126,7 +127,7 @@
 
 Package: gir1.2-nautilus-3.0
 Architecture: any
-Section: libdevel
+Section: introspection
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
@@ -142,7 +143,7 @@
 Package: nautilus-data
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: nautilus
+Recommends: nautilus
 Description: data files for nautilus
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libexecdir=/usr/lib/nautilus \
                             --disable-update-mimedb \
                             --disable-packagekit \
                             --enable-introspection \
                             --enable-tracker=yes
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_DH_MAKESHLIBS_ARGS_libnautilus-extension1a += -V 'libnautilus-extension1a (>= 2.91)'
DEB_DH_MAKESHLIBS_ARGS_nautilus += -Xusr/lib/nautilus/extensions-3.0/

common-binary-post-install-arch:: list-missing
